MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleFollow Public BundleGet BundleGet Public BundleUpdate Bundle Entry PermissionsUpdate BundleList BundlesUnfollow Public Bundle
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceBundles

Follow Public Bundle

PUT
/v1/bundles/{bundle_id}/follow/{public_bundle_id}

Link a bundle to a public bundle and merge in any entries (including ones transitively pulled in via the target's own follows) not already present by alias. Idempotent - following an already-followed bundle just re-checks for new entries.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

bundle_id*Bundle Id
Formatuuid
public_bundle_id*Public Bundle Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/follow/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Delete Bundle

Previous Page

Get Bundle

Next Page